Bug 107815 - Notification threads fail with NPE
Summary: Notification threads fail with NPE
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 106597
TreeView+ depends on / blocked
 
Reported: 2003-10-23 12:18 UTC by Daniel Berrange
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-13 22:19:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-10-23 12:18:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The background threads spawned by the notification service are failing with NPEs:

java.lang.NullPointerException
        at
com.arsdigita.notification.RequestManager$1.excurse(RequestManager.java:96)
        at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
        at com.arsdigita.notification.RequestManager.run(RequestManager.java:204)
        at java.util.TimerThread.mainLoop(Timer.java:445)
        at java.util.TimerThread.run(Timer.java:395)
java.lang.NullPointerException
        at
com.arsdigita.notification.SimpleQueueManager.run(SimpleQueueManager.java:59)
        at java.util.TimerThread.mainLoop(Timer.java:445)
        at java.util.TimerThread.run(Timer.java:395)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start a server
2. watch the logs
3. wait a while
    

Actual Results:  NPE execeptions from notification threads

Expected Results:  No exceptions


Additional info:

Comment 1 Rafael H. Schloming 2003-11-08 00:14:40 UTC
Fixed @37843.


Note You need to log in before you can comment on or make changes to this bug.